Bug 1290137 - RFE: dnf repoquery list not all available tags and there no full support of repoquery --location
RFE: dnf repoquery list not all available tags and there no full support of r...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
rawhide
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 12:55 EST by Pavel Alexeev
Modified: 2017-04-12 10:53 EDT (History)
7 users (show)

See Also:
Fixed In Version: dnf-2.3.0-1.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-12 10:53:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2015-12-09 12:55:09 EST
Description of problem:

$ repoquery dnf --qf="%{location}"
...

http://mirror.netcologne.de/fedora/linux/updates/23/x86_64/d/dnf-1.1.4-2.fc23.noarch.rpm

$ repoquery --location dnf
...

http://mirror.netcologne.de/fedora/linux/updates/23/x86_64/d/dnf-1.1.4-2.fc23.noarch.rpm


dnf repoquery plugin does not support --location option at all (I agree it is good to do not mess options with tags):

$ dnf repoquery --location dnf
...
Error: unrecognized arguments: --location

DNF also does not advertise 'location' tag support at all:

$ dnf repoquery --querytags
Available query-tags: use --queryformat ".. %{tag} .."

name, arch, epoch, version, release, reponame (repoid), evr
installtime, buildtime, size, downloadsize, installsize
provides, requires, obsoletes, conflicts, sourcerpm
description, summary, license, url

Meantime it supported, but in different (and slightly strange with None entries) way:
$ dnf repoquery dnf --qf="%{name}-%{evr} - %{location}"
Last metadata expiration check performed 0:54:26 ago on Wed Dec  9 19:58:28 2015.
dnf-1.1.2-4.fc23 - d/dnf-1.1.2-4.fc23.noarch.rpm
dnf-1.1.3-1.fc23 - Packages/d/dnf-1.1.3-1.fc23.noarch.rpm
dnf-1.1.4-2.fc23 - None
dnf-1.1.4-2.fc23 - d/dnf-1.1.4-2.fc23.noarch.rpm

I would like see it be implemented via tag and provide full URL, not just URI part.

Version-Release number of selected component (if applicable):
$ rpm -qa 'dnf*'
dnf-plugins-core-0.1.14-1.fc23.noarch
dnf-langpacks-conf-0.15.1-1.fc23.noarch
dnf-conf-1.1.4-2.fc23.noarch
dnf-yum-1.1.4-2.fc23.noarch
dnf-langpacks-0.15.1-1.fc23.noarch
dnf-1.1.4-2.fc23.noarch

How reproducible:
Always
Comment 1 Honza Silhan 2015-12-14 07:33:33 EST
It should print absolute path and not print None values.
Comment 2 Fedora Admin XMLRPC Client 2016-07-08 05:25:33 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2016-11-24 09:06:34 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Jaroslav Mracek 2017-03-28 08:25:55 EDT
I created the patch that added --location option for repoquery: https://github.com/rpm-software-management/dnf/pull/769
Comment 5 Fedora Update System 2017-04-10 04:02:25 EDT
dnf-2.3.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-80f2c2bb64
Comment 6 Fedora Update System 2017-04-10 20:26:05 EDT
dnf-2.3.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-80f2c2bb64
Comment 7 Fedora Update System 2017-04-12 10:53:26 EDT
dnf-2.3.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.